<html>
<head>
    <meta charset="utf-8">
    <title>Datenbank</title>
</head>
<body>
<?php // ********** ab hier PHP **********
// Kopfzeile einbinden
include "khsw.php";
// ************************************************************************************************
// POST-Variablen auslesen
// ************************************************************************************************
echo "Liste aller POST-Variablen<br>";
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    foreach($_POST as $key => $value) {
        $value = trim($value);
        $value = stripslashes($value);
        $value = htmlspecialchars($value);
        $$key=$value;
        echo '$_POST["'.$key.'"]="'.$value.'"<br>';
    }
}
// ************************************************************************************************
// Verbindung zum Server aufbauen, Datenbank, Tabelle auswählen
// ************************************************************************************************
// persönliche Konfigurationsdaten einbinden
include "config.inc.php";
// Datenbanknamen und Tabelle festlegen, falls nicht per POST übergeben
if (empty($database)) $database=$username."_eurodata";
if (empty($table)) $table="mitarbeiter";
// Verbindung zum Datenbankserver definieren
$conn = new mysqli($servername, $username, $password);
// Verbindung zum Server prüfen
if ($conn->connect_error) { // Abbruch bei Fehler
  die("<p>Verbindung zum Server ".$servername." misslungen: " . $conn->connect_error."<p>\n");
}
// Zeichensatz utf-8 für die Verbindung zum Server einstellen
$conn->set_charset('utf8');
// Verbindung zur Datenbank aufbauen
$sql="USE $database";
if ($conn->query($sql) === TRUE) {
    echo "<p>Verbindung zur Datenbank $database erfolgreich.</p>\n";
} else {
    die("<p>Fehler bei der Verbindung zur Datenbank $database: " . $conn->error."</p>\n");
}
// Datensatz aus der Tabelle auslesen
$sql = "SELECT * FROM $table WHERE $where;";
echo "<p>Tabelle $table, SQL-Befehl: $sql</p>";
$result = $conn->query($sql);
// ************************************************************************************************
// Eingabemaske anzeigen
// ************************************************************************************************
    if ($result->num_rows > 0) {
        // Die Tabelle hat Inhalt: FORM und HTML-Tabelle vorbereiten
        // die form umschließt alles
        echo "<form action='db-edit-change.php' method='post'>\n";
        // In der Tabelle werden alle Eingabefelder systematisch dargestellt
        echo "<table style='background-color: #CCCCCC; border: 1px solid black;'>";
        // Überschrift der Tabelle
        echo "<tr><th>Eigenschaft</th><th>Wert</th></tr>";
        // Datensatz in das assoziative Array $row[] einlesen
        $row = $result->fetch_assoc();
        // Nacheinander alle Spalten/Attribute des Datensatzes bearbeiten und Namen bzw. Inhalt darstellen
        foreach ($row as $key => $value) {
            // Namen in Spalte 1 darstellen
	        echo "<tr><td>$key</td>";
            // Inhalt im Eingabefeld in Spalte 2 darstellen
            // Zunächst alle besonderen Attribute in allen Tabellen identifizieren
            $foreignTable=""; // Fremdschlüssel
            $date=false; // Datum
            switch($table) {
                case "kind":
                    if      ($key=="MNr") { $foreignTable="mitarbeiter"; $foreignKey="MNr"; $displayKey="CONCAT(Name,', ',Vorname)"; }
                    else if ($key=="GebDatum") { $date=true; }
                    break;
                case "abteilung":
                    if      ($key=="A_Leiter")  { $foreignTable="mitarbeiter"; $foreignKey="MNr"; $displayKey="CONCAT(Name,', ',Vorname)"; }
                    break;
                case "mitarbeiter":
                    // Hier ist etwas zu tun...
                    // Behandeln Sie alle Attribute der Tabelle mitarbeiter mit Besonderheiten Datum oder Fremdschlüssel
                    break;
                case "projektmitarbeiter":
                    if      ($key=="MNr") { $foreignTable="mitarbeiter"; $foreignKey="MNr"; $displayKey="CONCAT(Name,', ',Vorname)"; }
                    else if ($key=="ProjNr") { $foreignTable="projekt"; $foreignKey="ProjNr"; $displayKey="Bezeichnung"; }
                    break;
            }
            if ($foreignTable!="") { // Bei Fremdschlüsseln eine Mehrfachauswahl als Popup aufbauen
                // SQL-Befehl, um die Daten aus der Mastertabelle zu holen
                $sql2 = "SELECT $foreignKey, $displayKey FROM $foreignTable ORDER BY $displayKey;";
                // SQL-Befehl an den Datenbankserver senden
                $result2 = $conn->query($sql2);
                echo "<td>!Hier ist Arbeit zu tun!</td></tr>\n"; // Diese Zeile dann löschen, wenn Sie angefangen haben
                if ($result2 && $result2->num_rows>0) {
                    // nur darstellen, wenn wirklich Datensätze in der Mastertabelle vorhanden sind
                    // Hier ist etwas zu tun...
                    // im assoziativen Array $result2 liegen alle möglichen Werte für den Fremdschlüssel.
                    // Stellen Sie diese Werte als Drop-Down-Feld dar.
                }
            }
            else if ($date) { // Datum
                echo "<td>!Hier ist etwas zu tun!</td></tr>\n";
            }
            else { // Wenn keine Besonderheit vorliegt, ein einfaches Eingabefeld verwenden
                echo "<td><input type='text' name='in-$key' value='$value'></td></tr>\n";
            }
        }
        echo "<tr><td>&nbsp;</td><td><input type='hidden' name='database' value='$database'>\n";
        echo "<input type='hidden' name='table' value='$table'>\n";
        echo "<input type='hidden' name='where' value=\"$where\">\n";
        echo "<input type='submit' value='Ändern'>\n";
        echo "</td></tr></table>\n";
        echo "</form>\n";
    }
    else {
        echo "<p>Kein Datensatz vorhanden.</p>";
    }
// ************************************************************************************************
// Verbindung zum Datenbankserver schließen
$conn->close(); // ********** ab hier HTML **********
?> 

<p><a href="javascript:history.back()">Zurück</a></p>
</body>
</html>