<html>
<head>
    <meta charset="utf-8">
    <title>Datenbank</title>
</head>
<body>
<?php // ********** ab hier PHP **********
// Kopfzeile einbinden
include "khsw.php";
// ************************************************************************************************
// POST-Variablen auslesen
// ************************************************************************************************
echo "Liste aller POST-Variablen<br>";
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    foreach($_POST as $key => $value) {
        $value = trim($value);
        $value = stripslashes($value);
        $value = htmlspecialchars($value);
        $$key=$value;
        echo '$_POST["'.$key.'"]="'.$value.'"<br>';
    }
}
// ************************************************************************************************
// Verbindung zum Server aufbauen, Datenbank, Tabelle auswählen
// persönliche Konfigurationsdaten einbinden
include "config.inc.php";
// Datenbanknamen und Tabelle festlegen
if (empty($database)) $database=$username."_eurodata";
if (empty($table)) $table="mitarbeiter";
// Verbindung zum Datenbankserver definieren
$conn = new mysqli($servername, $username, $password);
// Verbindung prüfen
if ($conn->connect_error) { // Abbruch bei Fehler
  die("<p>Verbindung zum Server ".$servername." misslungen: " . $conn->connect_error."<p>\n");
}
$conn->set_charset('utf8'); // Zeichensatz utf-8 für die Verbindung zum Server einstellen
// Verbindung zur Datenbank aufbauen
$sql="USE $database";
if ($conn->query($sql) === TRUE) {
    echo "<p>Verbindung zur Datenbank $database erfolgreich.</p>\n";
} else {
    die("<p>Fehler bei der Verbindung zur Datenbank $database: " . $conn->error."</p>\n");
}
// ************************************************************************************************
// Tabelle anzeigen
    $sql = "SELECT * FROM $table";
    $result = $conn->query($sql);
    if ($result->num_rows > 0) { // Die Tabelle hat Inhalt: HTML-Tabelle vorbereiten
        echo "<p>Tabelle $table, SQL-Befehl: $sql</p>\n";
        // einfaches Anführungszeichen: Damit kann man doppelte Anführungszeichen einschließen, aber keine Ersetzung von Variablen!
        echo '<table style="background-color: #CCCCCC; border: 1px solid black;">';
        echo '<tr>';
        echo '<th>Aktionen</th>';
        // erste Zeile für die Überschriften einlesen.
        $row = $result->fetch_assoc();
        foreach ($row as $key => $value) {
	        echo "<th>$key</th>";
        }
        echo "</tr>\n";
        // Primärschlüssel herausfinden
        switch ($table) {
            case "abteilung":          $primary_key=array("ID"); break;
            case "mitarbeiter":        $primary_key=array("MNr"); break;
            case "projekt":            $primary_key=array("ProjNr"); break;
            case "kind":               $primary_key=array("MNr","Vorname"); break;
            case "projektmitarbeiter": $primary_key=array("MNr","ProjNr"); break;
        }
        // alle Zeilen einzeln ausgeben
        do {
            // Primärschlüssel separat einlesen
            $primary_value=array(); // leeres Array
            foreach($primary_key as $value)
                $primary_value[]=$row[$value];
	        echo "<tr>";
	        echo "<td style='border: 1px solid white;'>
	        <form action='db-edit.php' method='post'>";
            $i=0; $where="";
	        echo "<input type='hidden' name='where' value=\"";
            foreach($primary_key as $value) {
                if ($i>0) $where .= " and ";
	            $where .= "$value='$primary_value[$i]'";
	            $i++;
            }
	        echo "$where\">";
	        echo "<input type='hidden' name='table'    value='$table'>
	        <input type='hidden' name='database' value='$database'>
	        <input type='submit' value='Ändern'>
	        </form>
	        Löschen</td>";
	        foreach ($row as $key => $value) {
		        echo "<td style='border: 1px solid white;'>".$value."</td>";
	        }
	        echo "</tr>\n";
        } while($row = $result->fetch_assoc());
        echo "</table>\n";
    } else {
    echo "<p>Die Tabelle $table ist leer</p>\n";
    }
// ************************************************************************************************
// Verbindung zum Datenbankserver schließen
$conn->close(); // ********** ab hier HTML **********
echo "<form action='db-tables.php' method='post'>\n";
echo "<input type='hidden' name='database' value='$database'>\n";
echo "<input type='submit' value='Liste der Tabellen anzeigen'>\n";
echo "</form>\n";
?> 

</body>
</html> 